%% Licensed Materials - Property of IBM
%% Restricted Materials of IBM. Reproduction, modification and redistribution are prohibited.
%% IBM Rational Rhapsody Design Manager
%%  Copyright IBM Corporation 2013 
%% U.S. Government Users Restricted Rights: Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

function navigateToDMServer(sys)
	try
		evalin('base', 'createDMConnection');
		dmConn = evalin('base', 'dmConnection');
	catch
		return;
	end	
	
	if isjava(dmConn) == 0
		return;
	end	
	
	bOpenNavigateDlg = 0;
    if isempty(sys) == 1
        bOpenNavigateDlg = 1;
    else    
        postSaveFcn = get_param(sys, 'PostSaveFcn');
        if strcmp(postSaveFcn, 'saveSimulinkModelToDM()') == 0
            bOpenNavigateDlg = 1;
        end
    end
    
	sysName = '';
    if isempty(sys) == 0
        sysName = get_param(gcs,'name');
    end    
	dmConn.navigateToDMServer(sysName, bOpenNavigateDlg);
end