%% Licensed Materials - Property of IBM
%% Restricted Materials of IBM. Reproduction, modification and redistribution are prohibited.
%% IBM Rational Rhapsody Design Manager
%%  Copyright IBM Corporation 2013 
%% U.S. Government Users Restricted Rights: Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

function  postOpenModelActions()
    postOpenFromDMActions();
    try
        evalin('base', 'createDMConnection');
        dmConn = evalin('base', 'dmConnection');
    catch
        return;
    end
    if isjava(dmConn) == 0
        return;
    end	
        
    %if model not locked ask the user if he want to lock
    simMdlName = get_param(gcs,'name');
    if dmConn.isSimulinkModelLocked(simMdlName) == 0
        action = char(dmConn.openShouldLockModelDialog());
        if isempty(action) == 0 && strcmp(action, 'lock')
            dmConn.lockSimulinkModel(simMdlName);
        end    
    end  
end

